Bug 1623463 - [FFU] Gnocchi-statsd container reported unhealthy after FFU.
Summary: [FFU] Gnocchi-statsd container reported unhealthy after FFU.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z3
: 13.0 (Queens)
Assignee: Adriano Petrich
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 12:26 UTC by Leonid Natapov
Modified: 2019-01-12 00:48 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-common-8.6.6-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 11:42:34 UTC
Target Upstream Version:
apetrich: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 581759 None MERGED Fix gnocchi_statsd and ceilometer_agent_ipmi healthcheck 2020-02-06 07:29:46 UTC

Description Leonid Natapov 2018-08-29 12:26:40 UTC
After FFU gnocchi-statsd container reported unhealthy.

/gnocchi_statsd (1aeb99dd5530): There is no gnocchi-statsd process with opened Redis ports (6379) running in the container ;

Happens because we should be checking connection to statsd port not redis.

Comment 2 Martin Magr 2018-09-10 15:04:37 UTC
Patch for this is already in upstream. Will check, why we don't have it in downstream.

Comment 4 Martin Magr 2018-09-10 15:19:00 UTC
Ok, we need to backport this to 13.

Comment 12 Leonid Natapov 2018-11-14 14:36:12 UTC
8494cd66cee2        192.168.24.1:8787/rhosp13/openstack-gnocchi-statsd:2018-11-05.3              "kolla_start"            16 hours ago        Up 16 hours (healthy)                             gnocchi_statsd

openstack-tripleo-common-8.6.6-2.el7ost.noarch

Comment 13 Lon Hohberger 2018-11-15 11:42:34 UTC
According to our records, this should be resolved by openstack-tripleo-common-8.6.6-2.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.